"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HelperLayer = void 0;
class HelperLayer {
    constructor(page, browser, options, ev) {
        this.page = page;
        this.browser = browser;
        this.options = options;
        this.ev = ev;
    }
    /**
     * Function to handle API calls with error handling
     * @param functionName - Function name to be called in the API object
     * @param args - Function parameters to be passed to the function
     * @returns - Returns the result of the function call
     */
    async handleApiCallParametres(functionName, ...args) {
        const [...params] = args;
        try {
            const result = await this.page.evaluate(async (fn, params) => {
                try {
                    return await API[fn](...params);
                }
                catch (error) {
                    return Object.assign({}, error);
                }
            }, functionName, params);
            if (result && result.error) {
                throw result;
            }
            return result;
        }
        catch (error) {
            throw error;
        }
    }
}
exports.HelperLayer = HelperLayer;
//# sourceMappingURL=helpers.js.map